> ## Documentation Index
> Fetch the complete documentation index at: https://docs.standardmetrics.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create notes

> Create new notes for a company. Supports creating multiple notes in a single request.

**Notes:**:
- All notes created must be for the same company.
- `note` and `author_id` fields are required.
- Either `company_id` or `company_slug` is required.

**Permissions:**
- User must be authenticated via OAuth.
- User must have access to the company.
- User must have ADMIN or EDITOR role.



## OpenAPI

````yaml post /notes/
openapi: 3.0.1
info:
  title: Standard Metrics API Documentation
  description: >-
    Welcome to Standard Metric's API docs!


    To use our API you will need to make an OAuth appliction (or use an existing
    one) in the developer settings tab on your settings page and then exchange
    your client id and secret for an access token (via the `/o/token/` endpoint.
    This token can then be sent in the `Authorization` header to authenticate
    your requests to our api. See below for an example.


    All endpoints are paginated and will return a maximum of 100 results per
    page. See the endpoints below and example responses for more details on
    pagination parameters. A maximum of 120 requests per minute can be made to
    our API.


    Authentication example (with python):

    ```>>> import base64

    >>> import base64

    >>> client_id = "YOUR_CLIENT_ID"

    >>> client_secret = "YOUR_CLIENT_SECRET"

    >>> credential = f"{client_id}:{client_secret}"

    >>> base64.b64encode(credential.encode("utf-8"))

    b'ENCODED_CREDENTIAL'


    You can now exchange this credential for an access token, eg:


    curl -X POST \
        -H "Authorization: Basic ENCODED_CREDENTIAL" \
        -H "Cache-Control: no-cache" \
        -H "Content-Type: application/x-www-form-urlencoded" \
        "https://api.standardmetrics.io/o/token/" \
        -d "grant_type=client_credentials"

    You will receive the following response:


    {
        "access_token": "YOUR_ACCESS_TOKEN",
        "expires_in": 36000,
        "token_type": "Bearer",
        "scope": "read write"
    }


    Make sure not to forget to prepend "Bearer " to your access token in the
    Authorization header while making requests.
  version: '1.0'
servers:
  - url: https://api.standardmetrics.io/v1
security:
  - Bearer: []
paths:
  /notes/:
    post:
      tags:
        - notes
      summary: Create notes
      description: >-
        Create new notes for a company. Supports creating multiple notes in a
        single request.


        **Notes:**:

        - All notes created must be for the same company.

        - `note` and `author_id` fields are required.

        - Either `company_id` or `company_slug` is required.


        **Permissions:**

        - User must be authenticated via OAuth.

        - User must have access to the company.

        - User must have ADMIN or EDITOR role.
      operationId: notes_create
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                type: object
                properties:
                  note:
                    type: string
                    description: The note content
                    example: Note content
                  company_id:
                    type: string
                    description: >-
                      Company ID (either company_id or company_slug must be
                      provided)
                    example: a7Rt
                  company_slug:
                    type: string
                    description: >-
                      Company slug (either company_id or company_slug must be
                      provided)
                    example: company-name
                  author_id:
                    type: string
                    description: Author ID
                    example: a7Rt
        required: true
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PortfolioCompanyNoteAPI'
components:
  schemas:
    PortfolioCompanyNoteAPI:
      required:
        - author_id
        - note
      type: object
      properties:
        note:
          title: Note
          type: string
        author:
          title: Author
          minLength: 1
          type: string
          readOnly: true
        created_at:
          title: Created at
          type: string
          format: date-time
          readOnly: true
        email:
          title: Email
          minLength: 1
          type: string
          readOnly: true
        id:
          title: Id
          type: string
          readOnly: true
        author_id:
          title: Author id
          type: string
        company_id:
          title: Company id
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Your valid bearer token. All Auth tokens persist for all requests. Make
        sure to replace Client Credential `Basic` tokens with `Bearer` tokens
        after retrieving your bearer token. Go to the API Reference/Setup, User
        Guides/Initial Setup, or API Reference/Get API Access Token page to get
        your token.

````